package cn.wisenergy.service.Manager;

import cn.wisenergy.mapper.UserDataMapper;
import cn.wisenergy.model.app.UserData;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 86187
 */
@Component
public class UserDataManger {
    @Resource
    private UserDataMapper userDataMapper;

    @Transactional(rollbackFor = Exception.class)
    public boolean saveBatchUserData(List<UserData> list) {
        if (!CollectionUtils.isEmpty(list)) {
            for (UserData userData : list) {
                int count = userDataMapper.add(userData);
                if (count == 0) {
                    return false;
                }
            }
        }
        return true;
    }
}
